package com.org.hktshop.Interface.system;

import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.admin.HktAdmin;
import com.org.hktshop.entity.system.HktNewsArticle;
import com.org.hktshop.utils.Ret;

import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Map;

public interface IHktNewsArticleService {
    void InitData();

    Page<HktNewsArticle> queryPage(HktNewsArticle hktNewsArticle);

    HktNewsArticle queryArticle(HktNewsArticle hktNewsArticle);

    Map<String, List<Map<String, Object>>> queryList(String language);

    List<Map<String, Object>> queryHotArticle(String language, String queryOption,int getCount);

    Ret updateArticle(HktAdmin admin, HktNewsArticle hktNewsArticle) throws UnsupportedEncodingException;

    void updateNewNum(HktNewsArticle newsArticle);

    Ret deleteArticle(HktAdmin admin, HktNewsArticle hktNewsArticle);

    HktNewsArticle queryPrevArticle(HktNewsArticle hktNewsArticle);

    HktNewsArticle queryNextArticle(HktNewsArticle hktNewsArticle);

}
